Subject: Re: heartburn; gastro herb remedies?

From: [email-masked] (VON BRUNDZ)
Date: 10 Apr 1995 08:24:56 -0400

The two herbs you can try are Agrimony and Medow Sweet (Filipendula
ulmaria) as a tea. There is also a pressure point you can massage on the
hand where the thumb and first finger come together follow the line when
your hand is closed and massage the end of the line closest to the wrist
do this on both hands.  Hope this helps